%global apiver 42.alpha1

Name:		  gnome-text-editor
Version:	42.alpha1
Release:	1%{?dist}
Summary:	Text editor for the GNOME desktop

License:	GPLv2+ and GFDL
URL:		https://wiki.gnome.org/Apps/Gedit
Source0:	https://gitlab.gnome.org/GNOME/gnome-text-editor/-/archive/%{version}/gnome-text-editor-%{version}.tar.gz


BuildRequires: meson
BuildRequires: ninja-build
	
BuildRequires: pkgconfig(gtk4)
BuildRequires: pkgconfig(gio-unix-2.0)
BuildRequires: pkgconfig(gtksourceview-5)
BuildRequires: pkgconfig(libadwaita-1)
BuildRequires: pkgconfig(enchant-2)
BuildRequires: pkgconfig(icu-uc)
BuildRequires: /usr/bin/update-desktop-database
BuildRequires: /usr/bin/appstream-util
BuildRequires: /usr/bin/desktop-file-validate
BuildRequires: /usr/bin/itstool

%description
Text Editor is a simple text editor that focus on session management.
It works hard to keep track of changes and state even if you quit the application.
You can come back to your work even if you've never saved it to a file.

%prep
%autosetup -p1 

%build
%meson 

# parallel make disabled to work around desktop file translations going missing
%define __ninja_common_opts -v
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%check
appstream-util validate-relax --nonet $RPM_BUILD_ROOT/%{_datadir}/metainfo/org.gnome.TextEditor.appdata.xml
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/org.gnome.TextEditor.desktop

%files -f %{name}.lang
%doc README.md
%license COPYING
%{_datadir}/applications/org.gnome.TextEditor.desktop
%{_metainfodir}/org.gnome.TextEditor.appdata.xml
%{_bindir}/gnome-text-editor
%{_datadir}/dbus-1/services/org.gnome.TextEditor.service
%{_datadir}/glib-2.0/schemas/org.gnome.TextEditor.gschema.xml
%{_datadir}/icons/hicolor/*/*/*.svg


%changelog
